Qt 5.6 | Qt 3D | C++ Classes | QInputAspect

Qt 5.6.3 Reference Documentation

# QInputAspect Class

(Qt3DInput::QInputAspect)

Header: | #include <QInputAspect>
qmake: | QT += 3dinput
Since: | Qt 5.5
Inherits: | Qt3DCore::QAbstractAspect

- List of all members, including inherited members

## Properties

- camera : Qt3DCore::QCamera *

## Public Functions

| QInputAspect(QObject *parent = Q_NULLPTR)
Qt3DCore::QCamera * | camera() const
QAbstractPhysicalDevice * | createPhysicalDevice(const QString &name)

## Reimplemented Public Functions

virtual QVector<Qt3DCore::QAspectJobPtr> | jobsToExecute(qint64 time)

## Public Slots

void | setCamera(Qt3DCore::QCamera *camera)

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QAbstractAspect

## Detailed Description

## Property Documentation

### camera : Qt3DCore::QCamera *

Access functions:

Qt3DCore::QCamera * | camera() const
void | setCamera(Qt3DCore::QCamera *camera)

## Member Function Documentation

### QInputAspect::QInputAspect(QObject *parent = Q_NULLPTR)

Default constructs an instance of QInputAspect.

### QAbstractPhysicalDevice *QInputAspect::createPhysicalDevice(const QString &name)

### `[virtual]` QVector<Qt3DCore::QAspectJobPtr> QInputAspect::jobsToExecute(qint64 time)